export declare function signUpAction({ email, password, firstName, lastName }: {
    email: string;
    password: string;
    firstName: string;
    lastName: string;
}): {
    type: string;
    email: string;
    password: string;
    firstName: string;
    lastName: string;
};
export declare function confirmSignUpAction(confirmationCode: string): {
    type: string;
    confirmationCode: string;
};
export declare function resendConfirmationCodeAction(email: string): {
    type: string;
    email: string;
};
export declare function signInAction(email: string, password: string): {
    type: string;
    email: string;
    password: string;
};
export declare function signOutAction(): {
    type: string;
};
export declare function forgotPasswordAction(email: string): {
    type: string;
    email: string;
};
export declare function forgotNewPasswordSubmitAction(code: string, newPassword: string): {
    type: string;
    code: string;
    newPassword: string;
};
export declare function changePasswordAction(oldPassword: string, newPassword: string): {
    type: string;
    oldPassword: string;
    newPassword: string;
};
export declare function changeAttributesAction(name: string, email: string): {
    type: string;
    name: string;
    email: string;
};
export declare function responseAction(type: string, response: any): {
    type: string;
    response: any;
};
export declare function errorAction(type: string, error: any): {
    type: string;
    error: any;
};
